val = load ('odfiltrovany2.mat');
prubeh = val.odfiltrovany2;     % načtení naměřených dat
 
N = length(prubeh);         	  % určení počtu prvků v naměřených datech
n = 1:N;
t = n/(1/50e-3);            	  % vytvoření časové osy pro průběhy
 
subplot(2,1,1);         % příprava okna se dvěma grafy, nastavení do 1.
plot(t, prubeh);        % vykreslení naměřených dat do prvního grafu
xlabel('t [ms] \rightarrow');	  % popis x-ové osy
 
counter = 1;
% v cyklu vynulování vzorků považovaných za šum
while ( counter< N)
prubeh(counter+124:counter+263) = 0;
% 1.až 125. vzorek zůstává zachován, ostatní jsou vynulovány
counter = counter+264;
% posunutí o 264 vzorků dál
end
    subplot(2,1,2); % nastavení vykreslení grafu do 2
plot(t, prubeh)     % vykreslení signálu s odstraněným šumem
xlabel('t [ms] \rightarrow');
